The bug tracker for setuptools 0.7 or higher is on BitBucket

 

Issue90

Title AttributeError: 'NoneType' object has no attribute 'clone'
Priority bug Status resolved
Superseder Nosy List bjourne, pje, rouche, srid, stodge
Assigned To Keywords

Created on 2009-11-04.18:11:31 by srid, last changed 2011-03-23.21:07:57 by pje.

Messages
msg605 (view) Author: pje Date: 2011-03-23.21:07:57
I am preparing to do a new release soon, but you can also just use "easy_install -U setuptools" to pull the development version from http://peak.telecommunity.com/snapshots/ (where between-release snapshots live).
msg579 (view) Author: bjourne Date: 2011-02-02.08:57:18
Pje, can you please create a new release? The problem is still present in latest released version of setuptools.
msg503 (view) Author: stodge Date: 2010-02-22.13:43:59
This is a critical bug - when is the next release? svn checkouts are blocked where I work and any linux boxes we auto-configure using our scripts are failing due to this bug. Thanks
msg495 (view) Author: pje Date: 2010-02-01.17:59:33
Closing as Sridhar has verified it fixed in the trunk.  Rouche, please note that you can install the current working version of 0.6c12 via "easy_install -U setuptools==dev06" (that's how Sridhar tested it back in November).

There will also be an official release soon.
msg471 (view) Author: rouche Date: 2009-12-07.18:26:13
Interesting, ill try it next time. Misteriously, after starting the install of
JCR for a 4rth time, it passed... very weird.
msg470 (view) Author: srid Date: 2009-12-07.18:15:44
Rouche, have you tried Distribute - a fork of setuptools - which does not have 
this bug? http://pypi.python.org/pypi/distribute
msg469 (view) Author: rouche Date: 2009-12-07.17:53:35
I have this bug too and i cannot install JCR (Java Code Reviewer)
How can i upgrade to 0.6c12? I am on Windows and i cannot fnid any 0.6c12
download or anything.
msg449 (view) Author: srid Date: 2009-11-05.16:45:05
Yes, fix verified.

$ bin/python -c "import setuptools; print setuptools.__version__"
0.6c12
$ bin/easy_install TracAddHeadersPlugin
Searching for TracAddHeadersPlugin
Reading http://pypi.python.org/simple/TracAddHeadersPlugin/
Reading http://www.trac-hacks.org/wiki/AddHeadersPlugin
No local packages or download links found for TracAddHeadersPlugin
error: Could not find suitable distribution for Requirement.parse
('TracAddHeadersPlugin')
msg448 (view) Author: pje Date: 2009-11-05.16:01:05
Fixed in trunk and branch; please verify w/ "easy_install setuptools==dev06".
msg447 (view) Author: srid Date: 2009-11-04.18:16:26
The bug seems to have introduced by r75383
msg446 (view) Author: srid Date: 2009-11-04.18:12:11
This was using setuptools-0.6c11 on Python 2.6.4 / MacOSX 10.6.
msg445 (view) Author: srid Date: 2009-11-04.18:11:30
> easy_install TracAddHeadersPlugin
Searching for TracAddHeadersPlugin
Reading http://pypi.python.org/simple/TracAddHeadersPlugin/
Reading http://www.trac-hacks.org/wiki/AddHeadersPlugin
No local packages or download links found for TracAddHeadersPlugin
Best match: None
Traceback (most recent call last):
  File "/Users/sridharr/.local/bin/easy_install", line 8, in <module>
    load_entry_point('setuptools==0.6c11', 'console_scripts', 'easy_install')()
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/command/easy_install.py", line 1712, in main
    with_ei_usage(lambda:
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/command/easy_install.py", line 1700, in with_ei_usage  
    return f()
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/command/easy_install.py", line 1716, in <lambda>
    distclass=DistributionWithoutHelpCommands, **kw
  File 
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.
py", line 152, in setup
    dist.run_commands()
  File 
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.
py", line 975, in run_commands
    self.run_command(cmd)
  File 
"/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.
py", line 995, in run_command
    cmd_obj.run()
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/command/easy_install.py", line 211, in run
    self.easy_install(spec, not self.no_deps)
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/command/easy_install.py", line 434, in easy_install
    self.local_index
  File "/Users/sridharr/.local/lib/python2.6/site-
packages/setuptools/package_index.py", line 475, in fetch_distribution
    return dist.clone(location=self.download(dist.location, tmpdir))
AttributeError: 'NoneType' object has no attribute 'clone'
History
Date User Action Args
2011-03-23 21:07:57pjesetstatus: chatting -> resolved
messages: + msg605
2011-02-02 08:57:18bjournesetnosy: + bjourne
messages: + msg579
2010-02-22 13:44:00stodgesetstatus: resolved -> chatting
nosy: + stodge
messages: + msg503
2010-02-01 17:59:33pjesetstatus: chatting -> resolved
messages: + msg495
2009-12-07 18:26:13rouchesetmessages: + msg471
2009-12-07 18:15:44sridsetmessages: + msg470
2009-12-07 17:53:35rouchesetnosy: + rouche
messages: + msg469
2009-11-05 16:45:07sridsetmessages: + msg449
2009-11-05 16:01:05pjesetstatus: unread -> chatting
nosy: + pje
messages: + msg448
2009-11-04 18:20:27sridsetstatus: chatting -> unread
2009-11-04 18:16:26sridsetmessages: + msg447
2009-11-04 18:12:11sridsetstatus: unread -> chatting
messages: + msg446
2009-11-04 18:11:31sridcreate